Bug 223637 - rpm -e sendmail removes /etc/aliases.db
rpm -e sendmail removes /etc/aliases.db
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: sendmail (Show other bugs)
6
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Woerner
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-20 20:39 EST by Jerry Williams
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-24 10:24:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jerry Williams 2007-01-20 20:39:45 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; (R1 1.1); .NET CLR 1.1.4322; FDM; .NET CLR 2.0.50727)

Description of problem:
When you remove sendmail it also removes /etc/aliases.db.

When you install fc6 and then use system-switch-mail and switch to postfix.
When you remove sendmail it removes /etc/aliases.db
So then postfix is without /etc/aliases.db
You have to remember to run newaliases to put it back.

Version-Release number of selected component (if applicable):
sendmail-8.13.8-3.1

How reproducible:
Always


Steps to Reproduce:
1.install system
2.system-switch-mail to postfix
3.rpm -e sendmail

Actual Results:
/etc/aliases.db is gone

Expected Results:
Should either not remove the file or run newaliases if it exists.

Additional info:
I have seen this for a while on older versions of Fedora.

You have to remember to run newaliases or postfix doesn't work very well.
Comment 1 Thomas Woerner 2007-08-29 12:38:58 EDT
Please have a look at sendmail-8.14.1-4.1.fc6 in FC-6-testing.
Comment 2 Thomas Woerner 2007-09-24 10:24:33 EDT
Fixed in updates in package sendmail-8.14.1-4.1.

Note You need to log in before you can comment on or make changes to this bug.